﻿@using Microsoft.AspNetCore.Http.Features

@{
    var consentFeature = Context.Features.Get<ITrackingConsentFeature>();
    var showBanner = !consentFeature?.CanTrack ?? false;
    var cookieString = consentFeature?.CreateConsentCookie();
}

@if (showBanner)
{
    <div id="cookieConsent" class="alert alert-info alert-dismissible fade show clearfix" role="alert">
        <h3>
            Welcome to the Australian National Site Guide
        </h3>
        <ul>
            <li>
                Due to the changing nature of weather conditions, land, land owners, site restrictions, airspace, etc. it is not reasonably practicable to keep
                this Site Guide up to date and accurate at all times. The Site Guide should therefore be considered out of date, and all information and site
                protocols verified with the administering club before flying.
            </li>
            <li>
                The information in the Site Guide is provided as a guide only. No representation is made that the information provided is current, complete or
                accurate. Neither Regional Associations, nor SAFA nor other contributors to the Site Guide assume any responsibility for persons relying
                on the information contained within it.
            </li>
            <li>
                Prior to first flights, visiting local &amp; international pilots should contact the administrating club for site rules, protocols and hazards.<br />
                When operating at a flying site where a duty pilot is appointed, that is not their home site, pilots should report to the duty pilot prior to undertaking any operations, or further operations, from that site.<br />
                Visiting pilots MUST ensure they are properly briefed on local requirements and conditions. Proof of SAFA membership, Log books, (VHF endorsement and radio operations if required) should be produced on request by an Instructor, Safety Officer, or Duty Pilot of the SAFA.
            </li>
            <li>
                Ensure you have suitable qualifications, skills and experience for sites you fly. You must always use your own judgement when deciding to fly. The
                decision to fly is yours alone and you do so at your own risk and responsibility.
            </li>
            <li>
                In accordance with Australian civil aviation laws, you must be a current member of the SAFA (this includes visiting international pilots) to
                legally fly within Australia.
            </li>
        </ul>
        @*<p>A link to this disclaimer is on the bottom of every page.</p>*@


        @*        <a asp-area="" asp-controller="Home" asp-action="Privacy">Learn More</a>.*@
        <button type="button" class="accept-policy" data-dismiss="alert" aria-label="Close" data-cookie-string="@cookieString">
            <span aria-hidden="true">Ok, understood.</span>
        </button>
    </div>
    <script>
        (function () {
            var button = document.querySelector("#cookieConsent button[data-cookie-string]");
            button.addEventListener("click", function (event) {
                document.cookie = button.dataset.cookieString;
            }, false);
        })();
    </script>
}
